﻿# The following shows how PowerCLI can be used to detail host information

Connect-VIServer MYVISERVER

$Information = @() 
Foreach ($ESXHost in (Get-VMHost | Get-View | Sort-Object Name)){ 
  $MyDetails = "" | Select-Object Name, Type, CPU, MEM 
  $MyDetails.Name = $ESXHost.Name 
  $MyDetails.Type = $ESXHost.Hardware.SystemInfo.Vendor+ " " + $ESXHost.Hardware.SystemInfo.Model 
  $MyDetails.CPU = "PROC:" + $ESXHost.Hardware.CpuInfo.NumCpuPackages + " CORES:" + $ESXHost.Hardware.CpuInfo.NumCpuCores + " MHZ: " + [math]::round($ESXHost.Hardware.CpuInfo.Hz / 1000000, 0) 
  $MyDetails.MEM = "" + [math]::round($ESXHost.Hardware.MemorySize / 1GB, 0) + " GB" 
  $Information += $MyDetails 
} 
$Information